
//
//	HSP3 debug support
//	(G[bZ[W)
//	onion software/onitama 2004/6
//
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "../hsp3/hsp3config.h"
#include "hsc3.h"
#include "errormsg.h"

/*------------------------------------------------------------*/
/*
		system data
*/
/*------------------------------------------------------------*/


/*------------------------------------------------------------*/
/*
		interface
*/
/*------------------------------------------------------------*/

#ifdef JPNMSG
static char *err[]={
	"",														// 0
	"߂łȂR[hł",							// 1
	"@ԈĂ܂",									// 2
	"̋LqԈĂ܂",							// 3
	"p[^[̋Lqł",						// 4
	"JbRĂ܂",							// 5
	"z̏ԈĂ܂",							// 6
	"x͂łɎgĂ܂",						// 7
	"x͎wł܂",								// 8
	"repeat̃lXg[܂",							// 9
	"repeat[vObreakgp܂",				// 10
	"repeat[vOcontinuegp܂",				// 11
	"repeat[vłȂ̂loopgp܂",			// 12
	"repeat[vĂ܂",						// 13
	"elsȇOif܂",							// 14
	"{Ă܂",								// 15
	"if߈ȊO{`}gĂ܂",						// 16
	"else߂̈ʒusł",								// 17
	"if߂̊Kw[܂",								// 18
	"vIȃG[ł",									// 19
	"vvZbT߂߂ł܂",					// 20
	"R}ho^̃G[ł",							// 21
	"vvZbT͕̂ݎ󂯕t܂",				// 22
	"p[^[̎w肪ԈĂ܂",				// 23
	"Cuw肳Ă܂",						// 24
	"߂ƂĒ`łȂOł",						// 25
	"p[^[͎gpĂ܂",					// 26
	"W[ϐ̎Qƌł",						// 27
	"W[ϐ̎w肪ł",						// 28
	"O֐̃C|[gł",						// 29
	"g߂̖O͂łɎgpĂ܂",				// 30
	"݊̂Ȃg߃^CvgpĂ܂",			// 31
	"RXgN^͊ɓo^Ă܂",					// 32
	"fXgN^͊ɓo^Ă܂",					// 33
	"s̏I[ł͂܂",						// 34
	"^O͂łɎgpĂ܂",						// 35
	"C^[tF[Xw肳Ă܂",				// 36
	"C|[gCfbNXw肳Ă܂",		// 37
	"C|[gIIDw肳Ă܂",				// 38
	"ϐgp悤Ƃ܂",					// 39
	"włȂϐł",								// 40
	"*"
};
#else
static char *err[]={
	"",														// 0
	"Unknown code",											// 1
	"Syntax error",											// 2
	"Wrong expression (float)",								// 3
	"Wrong expression (parameter)",							// 4
	"Parameter not closed",									// 5
	"Wrong array expression",								// 6
	"Label name is already in use",							// 7
	"Reserved name for label",								// 8
	"Too many repeat level",								// 9
	"break without repeat command",							// 10
	"continue without repeat command",						// 11
	"loop without repeat command",							// 12
	"loop not found for repeat command",					// 13
	"Not match if and else pair",							// 14
	"Not match { and } pair",								// 15
	"Not allow { and } in here",							// 16
	"Illegal use of else command",							// 17
	"Too many If command level",							// 18
	"Fatal error occurs",									// 19
	"Preprocessor syntax error",							// 20
	"Error during register command",						// 21
	"Only strings are acceptable",							// 22
	"Wrong parameter name expression",						// 23
	"No library name to bind",								// 24
	"custom name already in use",							// 25
	"parameter name already in use",						// 26
	"Bad structure source expression",						// 27
	"Bad structure expression",								// 28
	"Bad import name",										// 29
	"External func name in use",							// 30
	"Incompatible type of import",							// 31
	"Initalizer already exists",							// 32
	"Terminator already exists",							// 33
	"Wrong multi line string expression",					// 34
	"Tag name already in use",								// 35
	"No interface name to bind",							// 36
	"No import index to bind",								// 37
	"No import IID to bind",								// 38
	"Uninitalized variable detected",						// 39
	"Wrong name for variable",								// 40
	"*"
};
#endif

char *cg_geterror( CGERROR error )
{
	if ((error<0)||(error>=CGERROR_MAX)) return err[0];
	return err[error];
}

